/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.model.sp.report;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Oscar Armando Vargas Cardenas <oscar.vargas@arrebol.com.mx>
 */
public class SundayPayment implements Serializable{
    
    String id;
    double payDay;
    double paySaving;
    double accident;
    String transferencia;
    String economicNumber;
    String person;
    String fechaPago;
    String description;
    String fechaRegistro;
    String username;

    public SundayPayment() {
    }

    public SundayPayment(String id) {
        this.id = id;
    }

    public SundayPayment(String id, double payDay, double paySaving, double accident, String transferencia, String economicNumber, String person, String fechaPago, String description, String fechaRegistro, String username) {
        this.id = id;
        this.payDay = payDay;
        this.paySaving = paySaving;
        this.accident = accident;
        this.transferencia = transferencia;
        this.economicNumber = economicNumber;
        this.person = person;
        this.fechaPago = fechaPago;
        this.description = description;
        this.fechaRegistro = fechaRegistro;
        this.username = username;
    }
    
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public double getPayDay() {
        return payDay;
    }

    public void setPayDay(double payDay) {
        this.payDay = payDay;
    }

    public double getPaySaving() {
        return paySaving;
    }

    public void setPaySaving(double paySaving) {
        this.paySaving = paySaving;
    }

    public double getAccident() {
        return accident;
    }

    public void setAccident(double accident) {
        this.accident = accident;
    }

    public String getTransferencia() {
        return transferencia;
    }

    public void setTransferencia(String transferencia) {
        this.transferencia = transferencia;
    }

    public String getEconomicNumber() {
        return economicNumber;
    }

    public void setEconomicNumber(String economicNumber) {
        this.economicNumber = economicNumber;
    }

    public String getPerson() {
        return person;
    }

    public void setPerson(String person) {
        this.person = person;
    }

    public String getFechaPago() {
        return fechaPago;
    }

    public void setFechaPago(String fechaPago) {
        this.fechaPago = fechaPago;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getFechaRegistro() {
        return fechaRegistro;
    }

    public void setFechaRegistro(String fechaRegistro) {
        this.fechaRegistro = fechaRegistro;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }
 
    
}
